## com.sun.jersey.core.spi.factory
Class ResponseBuilderImpl

    java.lang.Object
      javax.ws.rs.core.Response.ResponseBuilder
          com.sun.jersey.core.spi.factory.ResponseBuilderImpl

    public final class ResponseBuilderImpl

extends javax.ws.rs.core.Response.ResponseBuilder

An implementation of `Response.ResponseBuilder`.

Author:
  Paul.Sandoz@Sun.Com

Constructor Summary
`ResponseBuilderImpl()`

Method Summary
`javax.ws.rs.core.Response` `build()`
`javax.ws.rs.core.Response.ResponseBuilder` `cacheControl(javax.ws.rs.core.CacheControl cacheControl)`
`javax.ws.rs.core.Response.ResponseBuilder` `clone()`
`javax.ws.rs.core.Response.ResponseBuilder` `contentLocation(java.net.URI location)`
`javax.ws.rs.core.Response.ResponseBuilder` `cookie(javax.ws.rs.core.NewCookie... cookies)`
`javax.ws.rs.core.Response.ResponseBuilder` `encoding(java.lang.String encoding)`
`javax.ws.rs.core.Response.ResponseBuilder` `entity(java.lang.Object entity)`
`javax.ws.rs.core.Response.ResponseBuilder` `entityWithType(java.lang.Object entity, java.lang.reflect.Type entityType)`
`javax.ws.rs.core.Response.ResponseBuilder` `expires(java.util.Date expires)`
`javax.ws.rs.core.Response.ResponseBuilder` `header(java.lang.String name, java.lang.Object value)`
`javax.ws.rs.core.Response.ResponseBuilder` `header(java.lang.String name, java.lang.Object value, boolean single)`
`javax.ws.rs.core.Response.ResponseBuilder` `headerSingle(java.lang.String name, java.lang.Object value)`
`javax.ws.rs.core.Response.ResponseBuilder` `language(java.util.Locale language)`
`javax.ws.rs.core.Response.ResponseBuilder` `language(java.lang.String language)`
`javax.ws.rs.core.Response.ResponseBuilder` `lastModified(java.util.Date lastModified)`
`javax.ws.rs.core.Response.ResponseBuilder` `location(java.net.URI location)`
`javax.ws.rs.core.Response.ResponseBuilder` `status(int status)`
`javax.ws.rs.core.Response.ResponseBuilder` `status(javax.ws.rs.core.Response.StatusType status)`
`javax.ws.rs.core.Response.ResponseBuilder` `tag(javax.ws.rs.core.EntityTag tag)`
`javax.ws.rs.core.Response.ResponseBuilder` `tag(java.lang.String tag)`
`javax.ws.rs.core.Response.ResponseBuilder` `type(javax.ws.rs.core.MediaType type)`
`javax.ws.rs.core.Response.ResponseBuilder` `type(java.lang.String type)`
`javax.ws.rs.core.Response.ResponseBuilder` `variant(javax.ws.rs.core.Variant variant)`
`javax.ws.rs.core.Response.ResponseBuilder` `variants(java.util.List<javax.ws.rs.core.Variant> variants)`

Methods inherited from class javax.ws.rs.core.Response.ResponseBuilder
`newInstance, status`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResponseBuilderImpl

    public ResponseBuilderImpl()

Method Detail

### entityWithType

    public javax.ws.rs.core.Response.ResponseBuilder entityWithType(java.lang.Object entity,
                                                                    java.lang.reflect.Type entityType)

### build

    public javax.ws.rs.core.Response build()

  Specified by:
    `build` in class `javax.ws.rs.core.Response.ResponseBuilder`

### clone

    public javax.ws.rs.core.Response.ResponseBuilder clone()

  Overrides:
    `clone` in class `javax.ws.rs.core.Response.ResponseBuilder`

### status

    public javax.ws.rs.core.Response.ResponseBuilder status(javax.ws.rs.core.Response.StatusType status)

  Overrides:
    `status` in class `javax.ws.rs.core.Response.ResponseBuilder`

### status

    public javax.ws.rs.core.Response.ResponseBuilder status(int status)

  Specified by:
    `status` in class `javax.ws.rs.core.Response.ResponseBuilder`

### entity

    public javax.ws.rs.core.Response.ResponseBuilder entity(java.lang.Object entity)

  Specified by:
    `entity` in class `javax.ws.rs.core.Response.ResponseBuilder`

### type

    public javax.ws.rs.core.Response.ResponseBuilder type(javax.ws.rs.core.MediaType type)

  Specified by:
    `type` in class `javax.ws.rs.core.Response.ResponseBuilder`

### type

    public javax.ws.rs.core.Response.ResponseBuilder type(java.lang.String type)

  Specified by:
    `type` in class `javax.ws.rs.core.Response.ResponseBuilder`

### variant

    public javax.ws.rs.core.Response.ResponseBuilder variant(javax.ws.rs.core.Variant variant)

  Specified by:
    `variant` in class `javax.ws.rs.core.Response.ResponseBuilder`

### variants

    public javax.ws.rs.core.Response.ResponseBuilder variants(java.util.List<javax.ws.rs.core.Variant> variants)

  Specified by:
    `variants` in class `javax.ws.rs.core.Response.ResponseBuilder`

### language

    public javax.ws.rs.core.Response.ResponseBuilder language(java.lang.String language)

  Specified by:
    `language` in class `javax.ws.rs.core.Response.ResponseBuilder`

### language

    public javax.ws.rs.core.Response.ResponseBuilder language(java.util.Locale language)

  Specified by:
    `language` in class `javax.ws.rs.core.Response.ResponseBuilder`

### location

    public javax.ws.rs.core.Response.ResponseBuilder location(java.net.URI location)

  Specified by:
    `location` in class `javax.ws.rs.core.Response.ResponseBuilder`

### contentLocation

    public javax.ws.rs.core.Response.ResponseBuilder contentLocation(java.net.URI location)

  Specified by:
    `contentLocation` in class `javax.ws.rs.core.Response.ResponseBuilder`

### encoding

    public javax.ws.rs.core.Response.ResponseBuilder encoding(java.lang.String encoding)

### tag

    public javax.ws.rs.core.Response.ResponseBuilder tag(javax.ws.rs.core.EntityTag tag)

  Specified by:
    `tag` in class `javax.ws.rs.core.Response.ResponseBuilder`

### tag

    public javax.ws.rs.core.Response.ResponseBuilder tag(java.lang.String tag)

  Specified by:
    `tag` in class `javax.ws.rs.core.Response.ResponseBuilder`

### lastModified

    public javax.ws.rs.core.Response.ResponseBuilder lastModified(java.util.Date lastModified)

  Specified by:
    `lastModified` in class `javax.ws.rs.core.Response.ResponseBuilder`

### cacheControl

    public javax.ws.rs.core.Response.ResponseBuilder cacheControl(javax.ws.rs.core.CacheControl cacheControl)

  Specified by:
    `cacheControl` in class `javax.ws.rs.core.Response.ResponseBuilder`

### expires

    public javax.ws.rs.core.Response.ResponseBuilder expires(java.util.Date expires)

  Specified by:
    `expires` in class `javax.ws.rs.core.Response.ResponseBuilder`

### cookie

    public javax.ws.rs.core.Response.ResponseBuilder cookie(javax.ws.rs.core.NewCookie... cookies)

  Specified by:
    `cookie` in class `javax.ws.rs.core.Response.ResponseBuilder`

### header

    public javax.ws.rs.core.Response.ResponseBuilder header(java.lang.String name,
                                                            java.lang.Object value)

  Specified by:
    `header` in class `javax.ws.rs.core.Response.ResponseBuilder`

### headerSingle

    public javax.ws.rs.core.Response.ResponseBuilder headerSingle(java.lang.String name,
                                                                  java.lang.Object value)

### header

    public javax.ws.rs.core.Response.ResponseBuilder header(java.lang.String name,
                                                            java.lang.Object value,
                                                            boolean single)

Copyright © 2017 Oracle Corporation. All Rights Reserved.